=== debian/changelog ===
kore (1.2.3-5) unstable; urgency=medium

  * debian/kore.1: Remove the redundant sentence in the manual.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Fri, 11 Dec 2015 10:27:07 +0800

kore (1.2.3-4) unstable; urgency=medium

  * Add the runtime dependencies.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Sun, 06 Dec 2015 19:49:18 +0800

kore (1.2.3-3) unstable; urgency=medium

  * debian/patches/debian.patch: Add LFS support.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Tue, 24 Nov 2015 21:10:43 +0800

kore (1.2.3-2) unstable; urgency=medium

  * debian/patches/typos.patch: Fix typos.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Tue, 17 Nov 2015 19:26:14 +0800

kore (1.2.3-1) unstable; urgency=low

  * Initial release (Closes: #802854)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Tue, 20 Oct 2015 21:06:24 +0800
