=== debian/control ===
Source: kore
Section: httpd
Priority: optional
Maintainer: Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libssl-dev, libpq-dev
Standards-Version: 3.9.6
Homepage: https://kore.io
Vcs-Git: git://anonscm.debian.org/collab-maint/kore.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/kore.git

Package: kore
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libc-dev, libssl-dev, libpq-dev
Recommends: gcc | gcc-5 | gcc-4.9 | gcc-4.8 |
            clang | clang-3.7 | clang-3.6 | clang-3.5 | clang-3.4
Suggests: postgresql
Description: Fast SPDY capable web server for web development in C
 Kore is an easy to use web application framework for writing scalable web APIs
 in C.
 .
 Its main goals are security, scalability and allowing rapid development and
 deployment of such APIs.
 .
 Because of this Kore is an ideal candidate for building robust, scalable and
 secure web things.
