=== debian/watch ===
version=3

https://kore.io/downloads .*/kore-(.*)-release\.tgz
