=== debian/changelog ===
kore (2.0.0-4) unstable; urgency=medium

  * debian/patches/Add-support-for-openssl-1.1.0-release-line.patch: Add the
    Debian bug information. (Closes: #858939)
  * debian/patches/Deal-with-the-Host-header-in-a-way-IPv6-hosts-work.patch:
    Add the Debian bug information. (Closes: #853478)
  * debian/patches/debian.patch: Fix dpkg-buildflags-missing warning.
  * debian/control: Update Debian Policy version to 4.1.4.2.
  * debian/watch: Fix the watch file for uscan.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Sat, 23 Jun 2018 19:40:13 +0800

kore (2.0.0-3) unstable; urgency=medium

  * debian/control: Migrate Git repository to salsa.debian.org, update the
    maintainer's email, simplify the package dependency.
  * debian/patches/Add-support-for-openssl-1.1.0-release-line.patch: Support
    openssl 1.1.0. (Closes: #858939)
  * Deal-with-the-Host-header-in-a-way-IPv6-hosts-work.patch: Fix GCC 7 build.
    (Closes: #853478)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Fri, 22 Jun 2018 23:03:27 +0800

kore (2.0.0-2) unstable; urgency=medium

  * Fix the maybe-uninitialized error for va_list.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Sat, 19 Nov 2016 17:52:29 +0800

kore (2.0.0-1) unstable; urgency=medium

  * debian/control: Update Standards-Version to 3.9.8 and Vcs-Git to HTTPS.
  * debian/control: Depend on libssl1.0-dev instead because of the upstream.
    (Closes: #828368)
  * Bump to 2.0.0

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Tue, 15 Nov 2016 20:03:48 +0800
