=== debian/control ===
Source: kore
Section: httpd
Priority: optional
Maintainer: Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>
Build-Depends: debhelper (>= 9.0.0), libssl-dev, libpq-dev
Standards-Version: 4.1.4.2
Homepage: https://kore.io
Vcs-Git: https://salsa.debian.org/debian/kore.git
Vcs-Browser: https://salsa.debian.org/debian/kore

Package: kore
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libc-dev, libssl-dev, libpq-dev
Recommends: gcc | clang | c-compiler
Suggests: postgresql
Description: Fast SPDY capable web server for web development in C
 Kore is an easy to use web application framework for writing scalable web APIs
 in C.
 .
 Its main goals are security, scalability and allowing rapid development and
 deployment of such APIs.
 .
 Because of this Kore is an ideal candidate for building robust, scalable and
 secure web things.
