=== debian/changelog ===
kore (3.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces

  [ Shih-Yuan Lee (FourDollars) ]
  * Bump to 3.3.1. (Closes: #945098)
  * d/p/debian.patch: Adjust the patch for 3.3.1.
  * d/p/maybe-uninitialized.patch,
    d/p/Add-support-for-openssl-1.1.0-release-line.patch,
    d/p/Deal-with-the-Host-header-in-a-way-IPv6-hosts-work.patch:
    Drop patches from upstream
  * d/control: Update Standards-Version to 4.4.1.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Mon, 01 Oct 2018 09:40:24 +0200
