=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>
 Build-Depends: debhelper (>= 9.0.0), libssl-dev, libpq-dev
-Standards-Version: 4.1.4.2
+Standards-Version: 4.4.1
 Homepage: https://kore.io
 Vcs-Git: https://salsa.debian.org/debian/kore.git
 Vcs-Browser: https://salsa.debian.org/debian/kore
