=== debian/watch ===
version=3

https://github.com/jorisvink/kore/releases .*/download/.*-release/kore-(.*)-release\.tar\.gz
