## kore 4.0.1

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,25 @@
 # Kore Makefile
 
 CC?=cc
+DESTDIR?=
 PREFIX?=/usr/local
 OBJDIR?=obj
 KORE=kore
 KODEV=kodev/kodev
 KORE_CRYPTO?=crypto
 INSTALL_DIR=$(PREFIX)/bin
-MAN_DIR=$(PREFIX)/share/man
+MAN_DIR?=$(PREFIX)/share/man
 SHARE_DIR=$(PREFIX)/share/kore
 INCLUDE_DIR=$(PREFIX)/include/kore
 
+GENERATED=
+PLATFORM=platform.h
 VERSION=src/version.c
+PYTHON_CURLOPT=misc/curl/python_curlopt.h
 
 S_SRC=	src/kore.c src/buf.c src/config.c src/connection.c \
-	src/domain.c src/filemap.c src/fileref.c src/mem.c src/msg.c \
-	src/module.c src/net.c src/pool.c src/runtime.c src/timer.c \
+	src/domain.c src/filemap.c src/fileref.c src/json.c src/mem.c \
+	src/msg.c src/module.c src/net.c src/pool.c src/runtime.c src/timer.c \
 	src/utils.c src/worker.c src/keymgr.c $(VERSION)
 
 FEATURES=
@@ -23,14 +27,15 @@
 
 CFLAGS+=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes
 CFLAGS+=-Wmissing-declarations -Wshadow -Wpointer-arith -Wcast-qual
-CFLAGS+=-Wsign-compare -Iinclude/kore -std=c99 -pedantic
+CFLAGS+=-Wsign-compare -Iinclude/kore -I$(OBJDIR) -std=c99 -pedantic
+CFLAGS+=-Wtype-limits
 CFLAGS+=-DPREFIX='"$(PREFIX)"' -fstack-protector-all
 
 ifneq ("$(OPENSSL_PATH)", "")
 CFLAGS+=-I$(OPENSSL_PATH)/include
-LDFLAGS=-rdynamic -L$(OPENSSL_PATH) -lssl -l$(KORE_CRYPTO)
-else
-LDFLAGS=-rdynamic -lssl -l$(KORE_CRYPTO)
+LDFLAGS+=-rdynamic -L$(OPENSSL_PATH)/lib -lssl -l$(KORE_CRYPTO)
+else
+LDFLAGS+=-rdynamic -lssl -l$(KORE_CRYPTO)
 endif
 
 ifneq ("$(KORE_SINGLE_BINARY)", "")
@@ -41,7 +46,6 @@
 ifneq ("$(DEBUG)", "")
 	CFLAGS+=-DKORE_DEBUG -g
 	FEATURES+=-DKORE_DEBUG
-	NOOPT=1
 endif
 
 ifneq ("$(NOOPT)", "")
@@ -60,16 +64,6 @@
 else
 	S_SRC+= src/auth.c src/accesslog.c src/http.c \
 		src/validator.c src/websocket.c
-endif
-
-ifneq ("$(NOTLS)", "")
-	CFLAGS+=-DKORE_NO_TLS
-	FEATURES+=-DKORE_NO_TLS
-	ifneq ("$(NOHTTP)", "")
-		LDFLAGS=-rdynamic
-	else
-		LDFLAGS=-rdynamic -l$(KORE_CRYPTO)
-	endif
 endif
 
 ifneq ("$(PGSQL)", "")
@@ -97,8 +91,9 @@
 
 ifneq ("$(PYTHON)", "")
 	S_SRC+=src/python.c
-	KORE_PYTHON_LIB?=$(shell python3-config --ldflags)
-	KORE_PYTHON_INC?=$(shell python3-config --includes)
+	GENERATED+=$(PYTHON_CURLOPT)
+	KORE_PYTHON_LIB?=$(shell ./misc/python3-config.sh --ldflags)
+	KORE_PYTHON_INC?=$(shell ./misc/python3-config.sh --includes)
 	LDFLAGS+=$(KORE_PYTHON_LIB)
 	CFLAGS+=$(KORE_PYTHON_INC) -DKORE_USE_PYTHON
 	FEATURES+=-DKORE_USE_PYTHON
@@ -111,10 +106,17 @@
 	KORE_CURL_INC=-I/usr/local/include
 endif
 
+ifneq ("$(ACME)", "")
+	S_SRC+=src/acme.c
+	CURL=1
+	CFLAGS+=-DKORE_USE_ACME
+	FEATURES+=-DKORE_USE_ACME
+endif
+
 ifneq ("$(CURL)", "")
 	S_SRC+=src/curl.c
-	KORE_CURL_LIB?=$(shell pkg-config --libs libcurl)
-	KORE_CURL_INC?=$(shell pkg-config --cflags libcurl)
+	KORE_CURL_LIB?=$(shell curl-config --libs)
+	KORE_CURL_INC?=$(shell curl-config --cflags)
 	LDFLAGS+=$(KORE_CURL_LIB)
 	CFLAGS+=$(KORE_CURL_INC) -DKORE_USE_CURL
 	FEATURES+=-DKORE_USE_CURL
@@ -133,7 +135,7 @@
 else ifeq ("$(OSNAME)", "linux")
 	CFLAGS+=-D_GNU_SOURCE=1 -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
 	LDFLAGS+=-ldl
-	S_SRC+=src/linux.c
+	S_SRC+=src/linux.c src/seccomp.c
 else
 	S_SRC+=src/bsd.c
 	ifneq ("$(JSONRPC)", "")
@@ -144,7 +146,15 @@
 
 S_OBJS=	$(S_SRC:src/%.c=$(OBJDIR)/%.o)
 
-all: $(VERSION) $(KORE) $(KODEV)
+all: $(PLATFORM) $(GENERATED) $(VERSION) $(KORE) $(KODEV)
+
+$(PLATFORM): $(OBJDIR) force
+	@if [ -f misc/$(OSNAME)-platform.sh ]; then \
+		misc/$(OSNAME)-platform.sh > $(OBJDIR)/$(PLATFORM) ; \
+	fi
+
+$(PYTHON_CURLOPT): $(OBJDIR) force
+	@cp $(PYTHON_CURLOPT) $(OBJDIR)
 
 $(VERSION): force
 	@if [ -d .git ]; then \
@@ -168,7 +178,7 @@
 	$(CC) $(S_OBJS) $(LDFLAGS) -o $(KORE)
 	@echo $(FEATURES) $(FEATURES_INC) > kore.features
 
-objects: $(OBJDIR) $(S_OBJS)
+objects: $(OBJDIR) $(PLATFORM) $(GENERATED) $(S_OBJS)
 	@echo $(LDFLAGS) > $(OBJDIR)/ldflags
 	@echo "$(FEATURES) $(FEATURES_INC)" > $(OBJDIR)/features
 
@@ -176,14 +186,14 @@
 	@mkdir -p $(OBJDIR)
 
 install:
-	mkdir -p $(SHARE_DIR)
-	mkdir -p $(INCLUDE_DIR)
-	mkdir -p $(INSTALL_DIR)
-	mkdir -p $(MAN_DIR)/man1
-	install -m 644 share/man/kodev.1 $(MAN_DIR)/man1/kodev.1
-	install -m 555 $(KORE) $(INSTALL_DIR)/$(KORE)
-	install -m 644 kore.features $(SHARE_DIR)/features
-	install -m 644 include/kore/*.h $(INCLUDE_DIR)
+	mkdir -p $(DESTDIR)$(SHARE_DIR)
+	mkdir -p $(DESTDIR)$(INCLUDE_DIR)
+	mkdir -p $(DESTDIR)$(INSTALL_DIR)
+	mkdir -p $(DESTDIR)$(MAN_DIR)/man1
+	install -m 644 share/man/kodev.1 $(DESTDIR)$(MAN_DIR)/man1/kodev.1
+	install -m 555 $(KORE) $(DESTDIR)$(INSTALL_DIR)/$(KORE)
+	install -m 644 kore.features $(DESTDIR)$(SHARE_DIR)/features
+	install -m 644 include/kore/*.h $(DESTDIR)$(INCLUDE_DIR)
 	$(MAKE) -C kodev install
 
 uninstall:
@@ -194,6 +204,8 @@
 
 $(OBJDIR)/%.o: src/%.c
 	$(CC) $(CFLAGS) -c $< -o $@
+
+src/python.c: $(PYTHON_CURLOPT)
 
 clean:
 	rm -f $(VERSION)
