=== kodev/Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 PREFIX?=/usr/local
 OBJDIR?=obj
 KODEV=kodev
+DESTDIR?=
 INSTALL_DIR=$(PREFIX)/bin
 
 S_SRC=	../src/cli.c
@@ -18,6 +19,11 @@
 	CFLAGS+=-O0
 else
 	CFLAGS+=-O2
+endif
+
+ifneq ("$(MINIMAL)", "")
+	CFLAGS+=-DKODEV_MINIMAL
+	LDFLAGS=
 endif
 
 OSNAME=$(shell uname -s | sed -e 's/[-_].*//g' | tr A-Z a-z)
@@ -37,8 +43,8 @@
 	@mkdir -p $(OBJDIR)
 
 install: $(KODEV)
-	mkdir -p $(INSTALL_DIR)
-	install -m 555 $(KODEV) $(INSTALL_DIR)/$(KODEV)
+	mkdir -p $(DESTDIR)$(INSTALL_DIR)
+	install -m 555 $(KODEV) $(DESTDIR)$(INSTALL_DIR)/$(KODEV)
 
 uninstall:
 	rm -f $(INSTALL_DIR)/$(KODEV)
