=== debian/changelog ===
kore (4.0.1-5) unstable; urgency=medium

  * d/p/Allow-the-clock_nanosleep-syscall-it-is-required-for.patch,
    d/p/Conditionally-allow-syscalls-required-to-run-on-arm.patch,
    d/p/series: Backport more fixes from upstream for arm.
  * d/t/myapp: Make myapp quit when seccomp is not in filter mode.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Wed, 07 Oct 2020 23:25:39 +0800

kore (4.0.1-4) unstable; urgency=medium

  * d/t/myapp: Check if seccomp is 2 (i.e. filter mode).
  * d/t/myapp: Check /dev/urandom and polish the test script.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Mon, 28 Sep 2020 21:54:19 +0800

kore (4.0.1-3) unstable; urgency=medium

  * d/p/Add-support-for-logging-seccomp-violations-on-arm.patch,
    d/p/series: Fix the compilation error on armel and armhf.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Thu, 24 Sep 2020 10:14:00 +0800

kore (4.0.1-2) unstable; urgency=medium

  * d/p/Fix-the-compilation-error-when-using-make-j8.patch,
    d/rules: Remove the workaround of using make -j1 and apply the real fix.
  * d/t/control,
    d/t/myapp-clang: Check gcc and clang instead of c-compiler.
  * d/p/Add-missing-tests-for-SYS_mmap-fixes-the-build-on-ar.patch,
    d/p/series: Fix the compilation error on armel and armhf.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Wed, 23 Sep 2020 00:42:50 +0800

kore (4.0.1-1) unstable; urgency=medium

  [ Shih-Yuan Lee (FourDollars) ]
  * d/watch: Update the URL to scan.
  * d/copyright: Update the source link and the maintainer's email.
  * Bump to 4.0.1.
  * d/p/debian.patch: Adjust the patch for 4.0.1.
  * d/t/control, d/t/myapp: Add autopkgtests.
  * d/p/debian.patch: Avoid getting the version from git.
  * d/rules: Use make -j1.
  * d/t/myapp: Make myapp gracefully shutdown.
  * d/control: It only supports amd64, armhf, armel and arm64.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Wed, 25 Dec 2019 16:14:06 +0800
