=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: httpd
 Priority: optional
 Maintainer: Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libssl-dev, libpq-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12), libssl-dev, libpq-dev
+Standards-Version: 4.5.0
 Homepage: https://kore.io
 Vcs-Git: https://salsa.debian.org/debian/kore.git
 Vcs-Browser: https://salsa.debian.org/debian/kore
 
 Package: kore
-Architecture: any
+Architecture: amd64 armhf armel arm64
 Depends: ${shlibs:Depends}, ${misc:Depends}, libc-dev, libssl-dev, libpq-dev
 Recommends: gcc | clang | c-compiler
 Suggests: postgresql
