=== debian/changelog ===
kore (4.1.0-6) unstable; urgency=medium

  * debian/control: Update Debian policy version to 4.6.0.
  * debian/control: Fix the extended-description-line-too-long.
  * debian/changelog: Fix the debian-changelog-line-too-long.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Sun, 19 Dec 2021 11:53:06 +0800

kore (4.1.0-5) unstable; urgency=medium

  * debian/patches/0002-Add-SYS_newfstatat-to-keymgr-seccomp-rules.patch:
    Fix the failure with glibc >= 2.33. (Closes: #1001558)
  * debian/patches/0003-Handle-PGRES_PIPELINE_-for-PQResult.patch,
    debian/patches/0004-wrap-pipeline-in-PG_VERSION_NUM-140000.patch:
    Fix the compilation error with postgresql 14. (Closes: #1001312)
  * debian/patches/0005-remove-support-for-older-openssl-apis-in-keymgr.patch,
    debian/patches/0006-Get-kore-to-at-least-build-with-openssl-3.patch:
    Fix the compilation error with openssl 3. (Closes: #1001312)
  * debian/tests/myapp: Use the timeout command to kill the process.
    (Closes: #992535)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Sun, 19 Dec 2021 01:15:22 +0800

kore (4.1.0-4) unstable; urgency=medium

  * debian/tests/myapp: Adjust the test script to avoid waiting forever again.
    (Closes: #992535)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Sat, 21 Aug 2021 12:30:04 +0800

kore (4.1.0-3) unstable; urgency=medium

  * debian/tests/myapp: Adjust the test script to avoid waiting forever.
    (Closes: #989749)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Tue, 22 Jun 2021 00:05:14 +0800

kore (4.1.0-2) unstable; urgency=medium

  * d/control: Update Debian policy version to 4.5.1.
  * d/copyright: Update years.
  * d/p/Fix-the-compilation-error-when-using-make-j8.patch: Drop this patch.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Wed, 03 Mar 2021 14:43:32 +0800

kore (4.1.0-1) unstable; urgency=medium

  * Bump to 4.1.0.
  * d/control,
    d/kore.1: Update the description.
  * d/p/*: Remove unnecessary patches and refresh patches.

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Tue, 02 Mar 2021 22:57:05 +0800
