=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ 
+	dh $@
