=== debian/tests/control ===
Tests: myapp
Depends: @, wget, gcc
Restrictions: allow-stderr

Tests: myapp-clang
Depends: @, wget, clang
Restrictions: allow-stderr
