## kore 4.2.3

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 MAN_DIR?=$(PREFIX)/share/man
 SHARE_DIR=$(PREFIX)/share/kore
 INCLUDE_DIR=$(PREFIX)/include/kore
+TLS_BACKEND?=openssl
+KORE_TMPDIR?=/tmp
 
 TOOLS=	kore-serve
 
@@ -21,9 +23,10 @@
 PYTHON_CURLOPT=misc/curl/python_curlopt.h
 
 S_SRC=	src/kore.c src/buf.c src/config.c src/connection.c \
-	src/domain.c src/filemap.c src/fileref.c src/json.c src/mem.c \
-	src/msg.c src/module.c src/net.c src/pool.c src/runtime.c src/timer.c \
-	src/utils.c src/worker.c src/keymgr.c
+	src/domain.c src/filemap.c src/fileref.c src/json.c src/log.c \
+	src/mem.c src/msg.c src/module.c src/net.c src/pool.c src/runtime.c \
+	src/sha1.c src/sha2.c src/timer.c src/utils.c src/worker.c
+S_SRC+= src/tls_$(TLS_BACKEND).c
 
 FEATURES=
 FEATURES_INC=
@@ -31,23 +34,35 @@
 CFLAGS+=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes
 CFLAGS+=-Wmissing-declarations -Wshadow -Wpointer-arith -Wcast-qual
 CFLAGS+=-Wsign-compare -Iinclude/kore -I$(OBJDIR) -std=c99 -pedantic
-CFLAGS+=-Wtype-limits
+CFLAGS+=-Wtype-limits -fno-common
 CFLAGS+=-DPREFIX='"$(PREFIX)"' -fstack-protector-all
 
-ifneq ("$(OPENSSL_PATH)", "")
-CFLAGS+=-I$(OPENSSL_PATH)/include
-LDFLAGS+=-rdynamic -L$(OPENSSL_PATH)/lib -lssl -l$(KORE_CRYPTO)
-else
-LDFLAGS+=-rdynamic -lssl -l$(KORE_CRYPTO)
+LDFLAGS+=-rdynamic
+
+ifeq ("$(TLS_BACKEND)", "openssl")
+	S_SRC+=src/keymgr_openssl.c
+	CFLAGS+=-DTLS_BACKEND_OPENSSL
+	FEATURES+=-DTLS_BACKEND_OPENSSL
+
+	ifneq ("$(OPENSSL_PATH)", "")
+		CFLAGS+=-I$(OPENSSL_PATH)/include
+		LDFLAGS+=-L$(OPENSSL_PATH)/lib -lssl -l$(KORE_CRYPTO)
+	else
+		LDFLAGS+=-lssl -l$(KORE_CRYPTO)
+	endif
+else
+ifneq ("$(ACME)", "")
+$(error ACME not supported under TLS backend $(TLS_BACKEND))
+endif
 endif
 
 ifneq ("$(KORE_SINGLE_BINARY)", "")
-	CFLAGS+=-DKORE_SINGLE_BINARY
+	CFLAGS+=-DKORE_SINGLE_BINARY -DKORE_TMPDIR='"$(KORE_TMPDIR)"'
 	FEATURES+=-DKORE_SINGLE_BINARY
 endif
 
 ifneq ("$(DEBUG)", "")
-	CFLAGS+=-DKORE_DEBUG -g
+	CFLAGS+=-g
 	FEATURES+=-DKORE_DEBUG
 endif
 
@@ -66,7 +81,7 @@
 	FEATURES+=-DKORE_NO_HTTP
 else
 	S_SRC+= src/auth.c src/accesslog.c src/http.c \
-		src/validator.c src/websocket.c
+		src/route.c src/validator.c src/websocket.c
 endif
 
 ifneq ("$(PGSQL)", "")
@@ -132,8 +147,12 @@
 endif
 
 ifeq ("$(OSNAME)", "darwin")
-	CFLAGS+=-I/opt/local/include/ -I/usr/local/opt/openssl/include
-	LDFLAGS+=-L/opt/local/lib -L/usr/local/opt/openssl/lib
+	ifeq ("$(TLS_BACKEND)", "openssl")
+		OSSL_INCL=$(shell pkg-config openssl --cflags)
+		CFLAGS+=$(OSSL_INCL)
+		LDFLAGS+=$(shell pkg-config openssl --libs)
+		FEATURES_INC+=$(OSSL_INCL)
+	endif
 	S_SRC+=src/bsd.c
 else ifeq ("$(OSNAME)", "linux")
 	CFLAGS+=-D_GNU_SOURCE=1 -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
@@ -160,7 +179,7 @@
 $(PYTHON_CURLOPT): $(OBJDIR) force
 	@cp $(PYTHON_CURLOPT) $(OBJDIR)
 
-$(VERSION): force
+$(VERSION): $(OBJDIR) force
 	@if [ -d .git ]; then \
 		GIT_REVISION=`git rev-parse --short=8 HEAD`; \
 		GIT_BRANCH=`git rev-parse --abbrev-ref HEAD`; \
@@ -174,12 +193,15 @@
 		echo "No version information found (no .git or RELEASE)"; \
 		exit 1; \
 	fi
+	@printf "const char *kore_build_date = \"%s\";\n" \
+	    `date +"%Y-%m-%d"` >> $(VERSION);
 
 $(KODEV): src/cli.c
 	$(MAKE) -C kodev
 
 $(KORE): $(OBJDIR) $(S_OBJS)
 	$(CC) $(S_OBJS) $(LDFLAGS) -o $(KORE)
+	@echo $(LDFLAGS) > kore.linker
 	@echo $(FEATURES) $(FEATURES_INC) > kore.features
 
 objects: $(OBJDIR) $(PLATFORM) $(GENERATED) $(S_OBJS)
@@ -197,7 +219,9 @@
 	install -m 644 share/man/kodev.1 $(DESTDIR)$(MAN_DIR)/man1/kodev.1
 	install -m 555 $(KORE) $(DESTDIR)$(INSTALL_DIR)/$(KORE)
 	install -m 644 kore.features $(DESTDIR)$(SHARE_DIR)/features
+	install -m 644 kore.linker $(DESTDIR)$(SHARE_DIR)/linker
 	install -m 644 include/kore/*.h $(DESTDIR)$(INCLUDE_DIR)
+	install -m 644 misc/ffdhe4096.pem $(DESTDIR)$(SHARE_DIR)/ffdhe4096.pem
 	$(MAKE) -C kodev install
 	$(MAKE) install-sources
 
@@ -253,6 +277,8 @@
 $(OBJDIR)/%.o: src/%.c
 	$(CC) $(CFLAGS) -c $< -o $@
 
+src/kore.c: $(VERSION)
+
 src/python.c: $(PYTHON_CURLOPT)
 
 src/seccomp.c: $(PLATFORM)
@@ -260,7 +286,7 @@
 clean:
 	rm -f $(VERSION)
 	find . -type f -name \*.o -exec rm {} \;
-	rm -rf $(KORE) $(OBJDIR) kore.features
+	rm -rf $(KORE) $(OBJDIR) kore.features kore.linker
 	$(MAKE) -C kodev clean
 
 releng-build-examples:
