=== kodev/Makefile ===
--- 
+++ 
@@ -28,8 +28,8 @@
 
 OSNAME=$(shell uname -s | sed -e 's/[-_].*//g' | tr A-Z a-z)
 ifeq ("$(OSNAME)", "darwin")
-	CFLAGS+=-I/opt/local/include/ -I/usr/local/opt/openssl/include
-	LDFLAGS+=-L/opt/local/lib -L/usr/local/opt/openssl/lib
+	CFLAGS+=$(shell pkg-config openssl --cflags)
+	LDFLAGS+=$(shell pkg-config openssl --libs)
 else ifeq ("$(OSNAME)", "linux")
 	CFLAGS+=-D_GNU_SOURCE=1
 endif
