=== debian/changelog ===
kore (4.2.3-2) unstable; urgency=medium

  * debian: feat(seccomp): update syscall lists and fix tasks example
  * debian: fix(patch): Correct typo in PGRES_TUPLES_CHUNK patch name and content (Closes: #1081081)
  * debian: fix(pgsql): Correctly handle PGRES_TUPLES_CHUNK for PostgreSQL 17 (Closes: #1081081)
  * debian: refactor(debian) Rename debian.patch to follow a numbered series

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Sat, 05 Jul 2025 13:27:45 +0800

kore (4.2.3-1) unstable; urgency=medium

  * Bump to 4.2.3.
  * d/p/0*.patch: Drop all patches from the upstream.
  * d/p/debian.patch: Refresh debian.patch.
  * d/p/0002-pgsql-Handle-PGRES_TUPLES_CHUNK-for-PostgreSQL-17.patch:
    Fix the problem for PostgreSQL 17+. (Closes: #1081081)
  * d/p/0003-conf-Correct-TLS-certificate-filenames-in-example-co.patch:
    Correct TLS certificate filenames in example config (Closes: #1033711)
  * debian/patches/0004-Disable-deprecated-warnings-for-OpenSSL-3.patch,
    debian/patches/0005-Change-how-we-handle-EVP_PKEY-for-privsep.patch:
    Cherry-pick upstream OpenSSL 3.x compatibility patches (Closes: #1033711)
  * debian: Correctly wait for Kore parent process in autopkgtests
  * debian: Improve Seccomp verification in myapp tests
  * debian: Improve service readiness check in myapp tests
  * debian: Bump debhelper compat level and standards version

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Fri, 04 Jul 2025 16:47:25 +0000
