=== debian/control ===
Source: kore
Section: httpd
Priority: optional
Maintainer: Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>
Build-Depends: debhelper-compat (= 13), libssl-dev, libpq-dev
Standards-Version: 4.7.2
Homepage: https://kore.io
Vcs-Git: https://salsa.debian.org/debian/kore.git
Vcs-Browser: https://salsa.debian.org/debian/kore

Package: kore
Architecture: amd64 armhf armel arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, libc-dev, libssl-dev, libpq-dev
Recommends: gcc | clang | c-compiler
Suggests: postgresql
Description: Web platform for writing scalable, concurrent APIs in C or Python
 Kore is an easy to use web platform for writing scalable, concurrent APIs in C
 or Python. Its primary goals are security, scalability and allowing rapid
 development and deployment of such APIs. Because of this Kore is an ideal
 candidate for building robust, scalable and secure web things.
