=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 export TASKS=1
 export PGSQL=1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_CFLAGS_APPEND=-Wno-deprecated-declarations -Wno-discarded-qualifiers
 
 %:
 	dh $@
