=== debian/tests/control ===
Tests: myapp
Depends: @, wget, gcc, psmisc
Restrictions: allow-stderr

Tests: myapp-clang
Depends: @, wget, clang, psmisc
Restrictions: allow-stderr
