=== debian/watch ===
version=4

https://kore.io/source .*/releases/kore-(.*).tar.gz
